Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network158.70.0.0/17
Usable hosts32,766
Subnet mask255.255.128.0
Addresses32,768
Network address
158.70.0.0
Broadcast address
158.70.127.255
First usable
158.70.0.1
Last usable
158.70.127.254
Usable hosts
32,766 (32,768 less the network and broadcast addresses)
Subnet mask
255.255.128.0
Wildcard mask
0.0.127.255 (Cisco ACLs, OSPF)
Prefix length
/17
Type
Public public
Old class
B (default /16)
As numbers
Hex 9E460000 · Integer 2655387648 to 2655420415
Reverse DNS zones
0.70.158.in-addr.arpa
1.70.158.in-addr.arpa
2.70.158.in-addr.arpa
3.70.158.in-addr.arpa
4.70.158.in-addr.arpa
5.70.158.in-addr.arpa
6.70.158.in-addr.arpa
7.70.158.in-addr.arpa
8.70.158.in-addr.arpa
9.70.158.in-addr.arpa
10.70.158.in-addr.arpa
11.70.158.in-addr.arpa
12.70.158.in-addr.arpa
13.70.158.in-addr.arpa
14.70.158.in-addr.arpa
15.70.158.in-addr.arpa
and 112 more
/17 is not on a 8-bit boundary, so it takes 128 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10011110.01000110.00000000.00000000158.70.0.0
Subnet mask11111111.11111111.10000000.00000000255.255.128.0
Network10011110.01000110.00000000.00000000158.70.0.0
Broadcast10011110.01000110.01111111.11111111158.70.127.255
Split into smaller subnets/26

158.70.0.0/17 makes 512 subnets of /26; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1158.70.0.0/26158.70.0.1 to 158.70.0.62158.70.0.6362
2158.70.0.64/26158.70.0.65 to 158.70.0.126158.70.0.12762
3158.70.0.128/26158.70.0.129 to 158.70.0.190158.70.0.19162
4158.70.0.192/26158.70.0.193 to 158.70.0.254158.70.0.25562
5158.70.1.0/26158.70.1.1 to 158.70.1.62158.70.1.6362
6158.70.1.64/26158.70.1.65 to 158.70.1.126158.70.1.12762
7158.70.1.128/26158.70.1.129 to 158.70.1.190158.70.1.19162
8158.70.1.192/26158.70.1.193 to 158.70.1.254158.70.1.25562
9158.70.2.0/26158.70.2.1 to 158.70.2.62158.70.2.6362
10158.70.2.64/26158.70.2.65 to 158.70.2.126158.70.2.12762
11158.70.2.128/26158.70.2.129 to 158.70.2.190158.70.2.19162
12158.70.2.192/26158.70.2.193 to 158.70.2.254158.70.2.25562
13158.70.3.0/26158.70.3.1 to 158.70.3.62158.70.3.6362
14158.70.3.64/26158.70.3.65 to 158.70.3.126158.70.3.12762
15158.70.3.128/26158.70.3.129 to 158.70.3.190158.70.3.19162
16158.70.3.192/26158.70.3.193 to 158.70.3.254158.70.3.25562
17158.70.4.0/26158.70.4.1 to 158.70.4.62158.70.4.6362
18158.70.4.64/26158.70.4.65 to 158.70.4.126158.70.4.12762
19158.70.4.128/26158.70.4.129 to 158.70.4.190158.70.4.19162
20158.70.4.192/26158.70.4.193 to 158.70.4.254158.70.4.25562
21158.70.5.0/26158.70.5.1 to 158.70.5.62158.70.5.6362
22158.70.5.64/26158.70.5.65 to 158.70.5.126158.70.5.12762
23158.70.5.128/26158.70.5.129 to 158.70.5.190158.70.5.19162
24158.70.5.192/26158.70.5.193 to 158.70.5.254158.70.5.25562
25158.70.6.0/26158.70.6.1 to 158.70.6.62158.70.6.6362
26158.70.6.64/26158.70.6.65 to 158.70.6.126158.70.6.12762
27158.70.6.128/26158.70.6.129 to 158.70.6.190158.70.6.19162
28158.70.6.192/26158.70.6.193 to 158.70.6.254158.70.6.25562
29158.70.7.0/26158.70.7.1 to 158.70.7.62158.70.7.6362
30158.70.7.64/26158.70.7.65 to 158.70.7.126158.70.7.12762
31158.70.7.128/26158.70.7.129 to 158.70.7.190158.70.7.19162
32158.70.7.192/26158.70.7.193 to 158.70.7.254158.70.7.25562
33158.70.8.0/26158.70.8.1 to 158.70.8.62158.70.8.6362
34158.70.8.64/26158.70.8.65 to 158.70.8.126158.70.8.12762
35158.70.8.128/26158.70.8.129 to 158.70.8.190158.70.8.19162
36158.70.8.192/26158.70.8.193 to 158.70.8.254158.70.8.25562
37158.70.9.0/26158.70.9.1 to 158.70.9.62158.70.9.6362
38158.70.9.64/26158.70.9.65 to 158.70.9.126158.70.9.12762
39158.70.9.128/26158.70.9.129 to 158.70.9.190158.70.9.19162
40158.70.9.192/26158.70.9.193 to 158.70.9.254158.70.9.25562
41158.70.10.0/26158.70.10.1 to 158.70.10.62158.70.10.6362
42158.70.10.64/26158.70.10.65 to 158.70.10.126158.70.10.12762
43158.70.10.128/26158.70.10.129 to 158.70.10.190158.70.10.19162
44158.70.10.192/26158.70.10.193 to 158.70.10.254158.70.10.25562
45158.70.11.0/26158.70.11.1 to 158.70.11.62158.70.11.6362
46158.70.11.64/26158.70.11.65 to 158.70.11.126158.70.11.12762
47158.70.11.128/26158.70.11.129 to 158.70.11.190158.70.11.19162
48158.70.11.192/26158.70.11.193 to 158.70.11.254158.70.11.25562
49158.70.12.0/26158.70.12.1 to 158.70.12.62158.70.12.6362
50158.70.12.64/26158.70.12.65 to 158.70.12.126158.70.12.12762
51158.70.12.128/26158.70.12.129 to 158.70.12.190158.70.12.19162
52158.70.12.192/26158.70.12.193 to 158.70.12.254158.70.12.25562
53158.70.13.0/26158.70.13.1 to 158.70.13.62158.70.13.6362
54158.70.13.64/26158.70.13.65 to 158.70.13.126158.70.13.12762
55158.70.13.128/26158.70.13.129 to 158.70.13.190158.70.13.19162
56158.70.13.192/26158.70.13.193 to 158.70.13.254158.70.13.25562
57158.70.14.0/26158.70.14.1 to 158.70.14.62158.70.14.6362
58158.70.14.64/26158.70.14.65 to 158.70.14.126158.70.14.12762
59158.70.14.128/26158.70.14.129 to 158.70.14.190158.70.14.19162
60158.70.14.192/26158.70.14.193 to 158.70.14.254158.70.14.25562
61158.70.15.0/26158.70.15.1 to 158.70.15.62158.70.15.6362
62158.70.15.64/26158.70.15.65 to 158.70.15.126158.70.15.12762
63158.70.15.128/26158.70.15.129 to 158.70.15.190158.70.15.19162
64158.70.15.192/26158.70.15.193 to 158.70.15.254158.70.15.25562
65158.70.16.0/26158.70.16.1 to 158.70.16.62158.70.16.6362
66158.70.16.64/26158.70.16.65 to 158.70.16.126158.70.16.12762
67158.70.16.128/26158.70.16.129 to 158.70.16.190158.70.16.19162
68158.70.16.192/26158.70.16.193 to 158.70.16.254158.70.16.25562
69158.70.17.0/26158.70.17.1 to 158.70.17.62158.70.17.6362
70158.70.17.64/26158.70.17.65 to 158.70.17.126158.70.17.12762
71158.70.17.128/26158.70.17.129 to 158.70.17.190158.70.17.19162
72158.70.17.192/26158.70.17.193 to 158.70.17.254158.70.17.25562
73158.70.18.0/26158.70.18.1 to 158.70.18.62158.70.18.6362
74158.70.18.64/26158.70.18.65 to 158.70.18.126158.70.18.12762
75158.70.18.128/26158.70.18.129 to 158.70.18.190158.70.18.19162
76158.70.18.192/26158.70.18.193 to 158.70.18.254158.70.18.25562
77158.70.19.0/26158.70.19.1 to 158.70.19.62158.70.19.6362
78158.70.19.64/26158.70.19.65 to 158.70.19.126158.70.19.12762
79158.70.19.128/26158.70.19.129 to 158.70.19.190158.70.19.19162
80158.70.19.192/26158.70.19.193 to 158.70.19.254158.70.19.25562
81158.70.20.0/26158.70.20.1 to 158.70.20.62158.70.20.6362
82158.70.20.64/26158.70.20.65 to 158.70.20.126158.70.20.12762
83158.70.20.128/26158.70.20.129 to 158.70.20.190158.70.20.19162
84158.70.20.192/26158.70.20.193 to 158.70.20.254158.70.20.25562
85158.70.21.0/26158.70.21.1 to 158.70.21.62158.70.21.6362
86158.70.21.64/26158.70.21.65 to 158.70.21.126158.70.21.12762
87158.70.21.128/26158.70.21.129 to 158.70.21.190158.70.21.19162
88158.70.21.192/26158.70.21.193 to 158.70.21.254158.70.21.25562
89158.70.22.0/26158.70.22.1 to 158.70.22.62158.70.22.6362
90158.70.22.64/26158.70.22.65 to 158.70.22.126158.70.22.12762
91158.70.22.128/26158.70.22.129 to 158.70.22.190158.70.22.19162
92158.70.22.192/26158.70.22.193 to 158.70.22.254158.70.22.25562
93158.70.23.0/26158.70.23.1 to 158.70.23.62158.70.23.6362
94158.70.23.64/26158.70.23.65 to 158.70.23.126158.70.23.12762
95158.70.23.128/26158.70.23.129 to 158.70.23.190158.70.23.19162
96158.70.23.192/26158.70.23.193 to 158.70.23.254158.70.23.25562
97158.70.24.0/26158.70.24.1 to 158.70.24.62158.70.24.6362
98158.70.24.64/26158.70.24.65 to 158.70.24.126158.70.24.12762
99158.70.24.128/26158.70.24.129 to 158.70.24.190158.70.24.19162
100158.70.24.192/26158.70.24.193 to 158.70.24.254158.70.24.25562
101158.70.25.0/26158.70.25.1 to 158.70.25.62158.70.25.6362
102158.70.25.64/26158.70.25.65 to 158.70.25.126158.70.25.12762
103158.70.25.128/26158.70.25.129 to 158.70.25.190158.70.25.19162
104158.70.25.192/26158.70.25.193 to 158.70.25.254158.70.25.25562
105158.70.26.0/26158.70.26.1 to 158.70.26.62158.70.26.6362
106158.70.26.64/26158.70.26.65 to 158.70.26.126158.70.26.12762
107158.70.26.128/26158.70.26.129 to 158.70.26.190158.70.26.19162
108158.70.26.192/26158.70.26.193 to 158.70.26.254158.70.26.25562
109158.70.27.0/26158.70.27.1 to 158.70.27.62158.70.27.6362
110158.70.27.64/26158.70.27.65 to 158.70.27.126158.70.27.12762
111158.70.27.128/26158.70.27.129 to 158.70.27.190158.70.27.19162
112158.70.27.192/26158.70.27.193 to 158.70.27.254158.70.27.25562
113158.70.28.0/26158.70.28.1 to 158.70.28.62158.70.28.6362
114158.70.28.64/26158.70.28.65 to 158.70.28.126158.70.28.12762
115158.70.28.128/26158.70.28.129 to 158.70.28.190158.70.28.19162
116158.70.28.192/26158.70.28.193 to 158.70.28.254158.70.28.25562
117158.70.29.0/26158.70.29.1 to 158.70.29.62158.70.29.6362
118158.70.29.64/26158.70.29.65 to 158.70.29.126158.70.29.12762
119158.70.29.128/26158.70.29.129 to 158.70.29.190158.70.29.19162
120158.70.29.192/26158.70.29.193 to 158.70.29.254158.70.29.25562
121158.70.30.0/26158.70.30.1 to 158.70.30.62158.70.30.6362
122158.70.30.64/26158.70.30.65 to 158.70.30.126158.70.30.12762
123158.70.30.128/26158.70.30.129 to 158.70.30.190158.70.30.19162
124158.70.30.192/26158.70.30.193 to 158.70.30.254158.70.30.25562
125158.70.31.0/26158.70.31.1 to 158.70.31.62158.70.31.6362
126158.70.31.64/26158.70.31.65 to 158.70.31.126158.70.31.12762
127158.70.31.128/26158.70.31.129 to 158.70.31.190158.70.31.19162
128158.70.31.192/26158.70.31.193 to 158.70.31.254158.70.31.25562
129158.70.32.0/26158.70.32.1 to 158.70.32.62158.70.32.6362
130158.70.32.64/26158.70.32.65 to 158.70.32.126158.70.32.12762
131158.70.32.128/26158.70.32.129 to 158.70.32.190158.70.32.19162
132158.70.32.192/26158.70.32.193 to 158.70.32.254158.70.32.25562
133158.70.33.0/26158.70.33.1 to 158.70.33.62158.70.33.6362
134158.70.33.64/26158.70.33.65 to 158.70.33.126158.70.33.12762
135158.70.33.128/26158.70.33.129 to 158.70.33.190158.70.33.19162
136158.70.33.192/26158.70.33.193 to 158.70.33.254158.70.33.25562
137158.70.34.0/26158.70.34.1 to 158.70.34.62158.70.34.6362
138158.70.34.64/26158.70.34.65 to 158.70.34.126158.70.34.12762
139158.70.34.128/26158.70.34.129 to 158.70.34.190158.70.34.19162
140158.70.34.192/26158.70.34.193 to 158.70.34.254158.70.34.25562
141158.70.35.0/26158.70.35.1 to 158.70.35.62158.70.35.6362
142158.70.35.64/26158.70.35.65 to 158.70.35.126158.70.35.12762
143158.70.35.128/26158.70.35.129 to 158.70.35.190158.70.35.19162
144158.70.35.192/26158.70.35.193 to 158.70.35.254158.70.35.25562
145158.70.36.0/26158.70.36.1 to 158.70.36.62158.70.36.6362
146158.70.36.64/26158.70.36.65 to 158.70.36.126158.70.36.12762
147158.70.36.128/26158.70.36.129 to 158.70.36.190158.70.36.19162
148158.70.36.192/26158.70.36.193 to 158.70.36.254158.70.36.25562
149158.70.37.0/26158.70.37.1 to 158.70.37.62158.70.37.6362
150158.70.37.64/26158.70.37.65 to 158.70.37.126158.70.37.12762
151158.70.37.128/26158.70.37.129 to 158.70.37.190158.70.37.19162
152158.70.37.192/26158.70.37.193 to 158.70.37.254158.70.37.25562
153158.70.38.0/26158.70.38.1 to 158.70.38.62158.70.38.6362
154158.70.38.64/26158.70.38.65 to 158.70.38.126158.70.38.12762
155158.70.38.128/26158.70.38.129 to 158.70.38.190158.70.38.19162
156158.70.38.192/26158.70.38.193 to 158.70.38.254158.70.38.25562
157158.70.39.0/26158.70.39.1 to 158.70.39.62158.70.39.6362
158158.70.39.64/26158.70.39.65 to 158.70.39.126158.70.39.12762
159158.70.39.128/26158.70.39.129 to 158.70.39.190158.70.39.19162
160158.70.39.192/26158.70.39.193 to 158.70.39.254158.70.39.25562
161158.70.40.0/26158.70.40.1 to 158.70.40.62158.70.40.6362
162158.70.40.64/26158.70.40.65 to 158.70.40.126158.70.40.12762
163158.70.40.128/26158.70.40.129 to 158.70.40.190158.70.40.19162
164158.70.40.192/26158.70.40.193 to 158.70.40.254158.70.40.25562
165158.70.41.0/26158.70.41.1 to 158.70.41.62158.70.41.6362
166158.70.41.64/26158.70.41.65 to 158.70.41.126158.70.41.12762
167158.70.41.128/26158.70.41.129 to 158.70.41.190158.70.41.19162
168158.70.41.192/26158.70.41.193 to 158.70.41.254158.70.41.25562
169158.70.42.0/26158.70.42.1 to 158.70.42.62158.70.42.6362
170158.70.42.64/26158.70.42.65 to 158.70.42.126158.70.42.12762
171158.70.42.128/26158.70.42.129 to 158.70.42.190158.70.42.19162
172158.70.42.192/26158.70.42.193 to 158.70.42.254158.70.42.25562
173158.70.43.0/26158.70.43.1 to 158.70.43.62158.70.43.6362
174158.70.43.64/26158.70.43.65 to 158.70.43.126158.70.43.12762
175158.70.43.128/26158.70.43.129 to 158.70.43.190158.70.43.19162
176158.70.43.192/26158.70.43.193 to 158.70.43.254158.70.43.25562
177158.70.44.0/26158.70.44.1 to 158.70.44.62158.70.44.6362
178158.70.44.64/26158.70.44.65 to 158.70.44.126158.70.44.12762
179158.70.44.128/26158.70.44.129 to 158.70.44.190158.70.44.19162
180158.70.44.192/26158.70.44.193 to 158.70.44.254158.70.44.25562
181158.70.45.0/26158.70.45.1 to 158.70.45.62158.70.45.6362
182158.70.45.64/26158.70.45.65 to 158.70.45.126158.70.45.12762
183158.70.45.128/26158.70.45.129 to 158.70.45.190158.70.45.19162
184158.70.45.192/26158.70.45.193 to 158.70.45.254158.70.45.25562
185158.70.46.0/26158.70.46.1 to 158.70.46.62158.70.46.6362
186158.70.46.64/26158.70.46.65 to 158.70.46.126158.70.46.12762
187158.70.46.128/26158.70.46.129 to 158.70.46.190158.70.46.19162
188158.70.46.192/26158.70.46.193 to 158.70.46.254158.70.46.25562
189158.70.47.0/26158.70.47.1 to 158.70.47.62158.70.47.6362
190158.70.47.64/26158.70.47.65 to 158.70.47.126158.70.47.12762
191158.70.47.128/26158.70.47.129 to 158.70.47.190158.70.47.19162
192158.70.47.192/26158.70.47.193 to 158.70.47.254158.70.47.25562
193158.70.48.0/26158.70.48.1 to 158.70.48.62158.70.48.6362
194158.70.48.64/26158.70.48.65 to 158.70.48.126158.70.48.12762
195158.70.48.128/26158.70.48.129 to 158.70.48.190158.70.48.19162
196158.70.48.192/26158.70.48.193 to 158.70.48.254158.70.48.25562
197158.70.49.0/26158.70.49.1 to 158.70.49.62158.70.49.6362
198158.70.49.64/26158.70.49.65 to 158.70.49.126158.70.49.12762
199158.70.49.128/26158.70.49.129 to 158.70.49.190158.70.49.19162
200158.70.49.192/26158.70.49.193 to 158.70.49.254158.70.49.25562
201158.70.50.0/26158.70.50.1 to 158.70.50.62158.70.50.6362
202158.70.50.64/26158.70.50.65 to 158.70.50.126158.70.50.12762
203158.70.50.128/26158.70.50.129 to 158.70.50.190158.70.50.19162
204158.70.50.192/26158.70.50.193 to 158.70.50.254158.70.50.25562
205158.70.51.0/26158.70.51.1 to 158.70.51.62158.70.51.6362
206158.70.51.64/26158.70.51.65 to 158.70.51.126158.70.51.12762
207158.70.51.128/26158.70.51.129 to 158.70.51.190158.70.51.19162
208158.70.51.192/26158.70.51.193 to 158.70.51.254158.70.51.25562
209158.70.52.0/26158.70.52.1 to 158.70.52.62158.70.52.6362
210158.70.52.64/26158.70.52.65 to 158.70.52.126158.70.52.12762
211158.70.52.128/26158.70.52.129 to 158.70.52.190158.70.52.19162
212158.70.52.192/26158.70.52.193 to 158.70.52.254158.70.52.25562
213158.70.53.0/26158.70.53.1 to 158.70.53.62158.70.53.6362
214158.70.53.64/26158.70.53.65 to 158.70.53.126158.70.53.12762
215158.70.53.128/26158.70.53.129 to 158.70.53.190158.70.53.19162
216158.70.53.192/26158.70.53.193 to 158.70.53.254158.70.53.25562
217158.70.54.0/26158.70.54.1 to 158.70.54.62158.70.54.6362
218158.70.54.64/26158.70.54.65 to 158.70.54.126158.70.54.12762
219158.70.54.128/26158.70.54.129 to 158.70.54.190158.70.54.19162
220158.70.54.192/26158.70.54.193 to 158.70.54.254158.70.54.25562
221158.70.55.0/26158.70.55.1 to 158.70.55.62158.70.55.6362
222158.70.55.64/26158.70.55.65 to 158.70.55.126158.70.55.12762
223158.70.55.128/26158.70.55.129 to 158.70.55.190158.70.55.19162
224158.70.55.192/26158.70.55.193 to 158.70.55.254158.70.55.25562
225158.70.56.0/26158.70.56.1 to 158.70.56.62158.70.56.6362
226158.70.56.64/26158.70.56.65 to 158.70.56.126158.70.56.12762
227158.70.56.128/26158.70.56.129 to 158.70.56.190158.70.56.19162
228158.70.56.192/26158.70.56.193 to 158.70.56.254158.70.56.25562
229158.70.57.0/26158.70.57.1 to 158.70.57.62158.70.57.6362
230158.70.57.64/26158.70.57.65 to 158.70.57.126158.70.57.12762
231158.70.57.128/26158.70.57.129 to 158.70.57.190158.70.57.19162
232158.70.57.192/26158.70.57.193 to 158.70.57.254158.70.57.25562
233158.70.58.0/26158.70.58.1 to 158.70.58.62158.70.58.6362
234158.70.58.64/26158.70.58.65 to 158.70.58.126158.70.58.12762
235158.70.58.128/26158.70.58.129 to 158.70.58.190158.70.58.19162
236158.70.58.192/26158.70.58.193 to 158.70.58.254158.70.58.25562
237158.70.59.0/26158.70.59.1 to 158.70.59.62158.70.59.6362
238158.70.59.64/26158.70.59.65 to 158.70.59.126158.70.59.12762
239158.70.59.128/26158.70.59.129 to 158.70.59.190158.70.59.19162
240158.70.59.192/26158.70.59.193 to 158.70.59.254158.70.59.25562
241158.70.60.0/26158.70.60.1 to 158.70.60.62158.70.60.6362
242158.70.60.64/26158.70.60.65 to 158.70.60.126158.70.60.12762
243158.70.60.128/26158.70.60.129 to 158.70.60.190158.70.60.19162
244158.70.60.192/26158.70.60.193 to 158.70.60.254158.70.60.25562
245158.70.61.0/26158.70.61.1 to 158.70.61.62158.70.61.6362
246158.70.61.64/26158.70.61.65 to 158.70.61.126158.70.61.12762
247158.70.61.128/26158.70.61.129 to 158.70.61.190158.70.61.19162
248158.70.61.192/26158.70.61.193 to 158.70.61.254158.70.61.25562
249158.70.62.0/26158.70.62.1 to 158.70.62.62158.70.62.6362
250158.70.62.64/26158.70.62.65 to 158.70.62.126158.70.62.12762
251158.70.62.128/26158.70.62.129 to 158.70.62.190158.70.62.19162
252158.70.62.192/26158.70.62.193 to 158.70.62.254158.70.62.25562
253158.70.63.0/26158.70.63.1 to 158.70.63.62158.70.63.6362
254158.70.63.64/26158.70.63.65 to 158.70.63.126158.70.63.12762
255158.70.63.128/26158.70.63.129 to 158.70.63.190158.70.63.19162
256158.70.63.192/26158.70.63.193 to 158.70.63.254158.70.63.25562

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses